## org.apache.http.client.utils
Interface Idn

All Known Implementing Classes:
  JdkIdn, Rfc3492Idn

    public interface Idn

Abstraction of international domain name (IDN) conversion.

Since:
  4.0

Method Summary
`String` `toUnicode(String punycode)` Converts a name from its punycode representation to Unicode.

Method Detail

### toUnicode

    String toUnicode(String punycode)

  Converts a name from its punycode representation to Unicode. The name may be a single hostname or a dot-separated qualified domain name.

  Parameters:
    `punycode` - the Punycode representation
  Returns:
    the Unicode domain name

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.